# Fringes-GUI
![PyPI](https://img.shields.io/pypi/v/fringes-gui)
![PyPI - Python Version](https://img.shields.io/pypi/pyversions/fringes-gui)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)
[![Read the Docs](https://img.shields.io/readthedocs/fringes)](https://fringes.readthedocs.io/en/latest/getting_started/usage.html#graphical-user-interface)
![PyPI - License](https://img.shields.io/pypi/l/fringes-gui)
[![Static Badge](https://img.shields.io/badge/DOI-10.5281%2Fzenodo.10936353-blue)](https://zenodo.org/doi/10.5281/zenodo.10936353)
[![PyPI - Downloads](https://img.shields.io/pypi/dm/fringes-gui)](https://pypistats.org/packages/fringes-gui)

<!---
[![Downloads](https://static.pepy.tech/badge/fringes-gui)](https://pepy.tech/project/fringes-gui)
--->

Graphical user interface for the [fringes](https://pypi.org/project/fringes/) package.

## Installation
You can install `fringes-gui` directly from [PyPi](https://pypi.org/project/fringes-gui) via `pip`:

```
pip install fringes-gui
```

## Usage
You import the `fringes-gui` package and call the function `run()`.

```python
import fringes_gui as fgui

fgui.run()
```

Now the graphical user interface should appear:

![Screenshot](https://raw.githubusercontent.com/comimag/fringes/main/docs/getting_started/GUI.png)\
Screenshot of the GUI.

## Documentation
The documentation can be found here:
[Fringes - Graphical User Interface](https://fringes.readthedocs.io/en/latest/getting_started/usage.html#graphical-user-interface)

## License
Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International Public License

## Support
I was looking for a user-friendly tool to configure,
encode and decode customized fringe patterns with phase shifting algorithms.
Since I couldn't find any, I started developing one myself.
It is intended for [non-commercial](#license), academic and educational use.

However, I do this entirely in my free time.
If you like this package and can make use of it, I would be happy about a donation.
It will help me keep it up-to-date and adding more features in the future.

<!---
[![Liberapay](https://liberapay.com/assets/widgets/donate.svg)](https://liberapay.com/comimag/donate/)
[![](https://www.paypalobjects.com/en_US/i/btn/btn_donate_LG.gif)](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=EHBGZ229DKUC4)
--->

[![paypal](https://img.shields.io/badge/PayPal-00457C?style=for-the-badge&logo=PayPal&logoColor=white)](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=EHBGZ229DKUC4)

Thank you!
